<?php

// ASYNCING degli scripts, vedi https://orbitingweb.com/blog/add-defer-async-attributes-to-scripts-in-wordpress/
/*function to add async to all scripts*/
function js_async_attr($tag){
	# Add async to all remaining scripts
	return str_replace( ' src', ' async="async" src', $tag );
}

// VERSIONE CON ECCEZIONI:
/*function to add async to all scripts*/
function js_async_attr_exception($tag){
	# Do not add async to these scripts
	$scripts_to_exclude = array('script-name1.js', 'script-name2.js', 'script-name3.js');
 
	foreach($scripts_to_exclude as $exclude_script){
		if(true == strpos($tag, $exclude_script ) )
		return $tag;	
	}

	# Add async to all remaining scripts
	return str_replace( ' src', ' async="async" src', $tag );
}

// VERSIONE COMPLETA:
/*function to add async and defer attributes*/
function defer_js_async($tag){

	## 1: list of scripts to defer. (Edit with your script names)
	$scripts_to_defer = array('script-name1.js', 'script-name2.js', 'script-name3.js');

	## 2: list of scripts to async. (Edit with your script names)
	$scripts_to_async = array('script-name1.js', 'script-name2.js', 'script-name3.js');
 
	#defer scripts
	foreach($scripts_to_defer as $defer_script){
		if(true == strpos($tag, $defer_script ) )
		return str_replace( ' src', ' defer="defer" src', $tag );	
	}
	#async scripts
	foreach($scripts_to_async as $async_script){
		if(true == strpos($tag, $async_script ) )
		return str_replace( ' src', ' async="async" src', $tag );	
	}
	return $tag;
}

// Applica quella che preferisci
add_filter( 'script_loader_tag', 'js_async_attr', 10 );

?>
